<?php
/* Set e-mail recipient */
$myemail  = "youremail@yourdomain";
$subject = "A request for information";

/* Check all form inputs using check_input function */

$firstname   = test_input($_POST['NAME']);
$email    = test_input($_POST['EMAIL'], );
$lastname  = test_input($_POST['LASTNAME']);
$address1 = test_input($_POST['ADDRESS1']); 
$address2  = test_input($_POST['ADDRESS2'],);
$address3 = test_input($_POST['ADDRESS3'], );
$postcode = test_input($_POST['POSTCODE'],);
$phone = test_input($_POST['HOME'],);

/* If e-mail is not valid show error message */
if (!preg_match("/([\w\-]+\@[\w\-]+\.[\w\-]+)/", $email))
{
    show_error("E-mail address not valid");
}

function test_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}
 */
/* Let's prepare the message for the e-mail */
$message = "The following has contacted you via the website

Name: $firstname  $lastname
Address: $address_1
         $address_2
         $address_3
Postcode: $postcode
E-mail: $email

Phone: 	$phone



End of message
";

/* Send the message using mail() function */
mail($myemail, $subject, $message);

/* Redirect visitor to the thank you page */
header('Location: thankyou.html');
exit();

/* Functions we used to strip out */
function check_input($data, $problem='')
{
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    if ($problem && strlen($data) == 0)
    {
        show_error($problem);
    }
    return $data;
}

function show_error($myError)
{
?>
    <html>
    <body>

    <b>There is an error, please use the back arrow to correct it and send again:</b><br />
    <?php echo $myError; ?>

    </body>
    </html>
<?php
exit();
}
?>